logo
Apache Lounge
Webmasters

 


About

Forum Index Downloads Search Register Log in  RSS Apache Lounge
 



Keep Server Online

If you find the Apache Lounge, the downloads and overall help useful, please express your satisfaction with a donation.

or

Bitcoin

A donation makes a contribution towards the costs, the time and effort that's going in this site and building.

Thank You! Steffen

Apache Lounge is not sponsored.

Your donations will help to keep this site alive and well, and continuing building binaries.



PHP 5.1.x Apache2handler for 2.2.x updated

 
Post new topic   Reply to topic    Apache Forum Index -> Apache third-party Modules



View previous topic :: View next topic  
Author Message
Steffen
Moderator


Joined: 15 Oct 2005
Posts: 2587
Location: Hilversum, NL, EU

PostPosted: Sat 08 Apr '06 20:49    Post subject: PHP 5.1.x Apache2handler for 2.2.x updated Reply with quote

The php-guys fixed an issue with the Apache handler, so I build a new php5apache2.dll for Apache 2.2.x

From the php change log:

- Fixed Apache2 SAPIs header handler modifying header strings. (Mike)

Steffen
Back to top
pips



Joined: 03 May 2006
Posts: 65
Location: Manchester, UK

PostPosted: Wed 03 May '06 16:18    Post subject: Reply with quote

Thankyou Steffen for the build. I have copied the files to my php directory and made the changes in httpd.conf

When I try to start apache service I get the following error message:-

Microsoft Visual C++ Runtime Library
Runtime Erroe!
Program d:\bin\httpd.exe

R6034
An apllication has made an attempt to load the C runtime library incorrectly. Please contact the apllication's support team for more information.

Any ideas?
Back to top
Steffen
Moderator


Joined: 15 Oct 2005
Posts: 2587
Location: Hilversum, NL, EU

PostPosted: Wed 03 May '06 17:23    Post subject: Reply with quote

Should work when you follow the instructions in the readme.


Steffen


Last edited by Steffen on Tue 14 Aug '07 18:26; edited 1 time in total
Back to top
SabinF



Joined: 03 May 2006
Posts: 37
Location: Timisoara (Romania)

PostPosted: Wed 03 May '06 19:05    Post subject: Reply with quote

I'm getting the same error when I'm trying to configure PHP 5.1.3 on Apache 2.2.2!

Can anyone help me?
Back to top
alonsomarin



Joined: 03 May 2006
Posts: 1

PostPosted: Wed 03 May '06 19:21    Post subject: Reply with quote

I have copied the files to my php directory and made the changes in httpd.conf

When I try to start apache service I get the following error message:-

Microsoft Visual C++ Runtime Library
Runtime Erroe!
Program d:\bin\httpd.exe

R6034
An apllication has made an attempt to load the C runtime library incorrectly. Please contact the apllication's support team for more information.


I have download and installed the C++ Runtime at:

www.microsoft.com/downloads/details.aspx?familyid=32BC1BEE-A3F9-4C13-9C99-220B62A191EE&displaylang=en


and still getting the same error message,

Any ideas?, please
Back to top
Steffen
Moderator


Joined: 15 Oct 2005
Posts: 2587
Location: Hilversum, NL, EU

PostPosted: Wed 03 May '06 19:49    Post subject: Reply with quote

Are you running Apache from the download page here at the Apache Lounge ?

Without php is Apache 2.2.2 running ?

Which windows are you running ?

Just tested php 5.1.3 with Apache 2.2.2 and the php5apache2.dll and all is fine.

Steffen
Back to top
SabinF



Joined: 03 May 2006
Posts: 37
Location: Timisoara (Romania)

PostPosted: Wed 03 May '06 20:23    Post subject: Reply with quote

I'm running the Apache version from httpd.apache.org. Without PHP 5.1.3 it's working just fine. I have even managed to configure mod_security 1.9.3 with the apache version from httpd.apache.org. Weird, because it uses the same shared dll's. Shocked
Back to top
SabinF



Joined: 03 May 2006
Posts: 37
Location: Timisoara (Romania)

PostPosted: Wed 03 May '06 23:25    Post subject: Reply with quote

Unfortunately, that didn't work either for me Sad.
Back to top
Greedy



Joined: 04 May 2006
Posts: 2

PostPosted: Thu 04 May '06 11:24    Post subject: Reply with quote

The issue is httpd.exe (from ASF) and php5apache2.dll load different version of shared dlls (msvcrt.dll and msvcr80.dll). It cannot be done correctly due to windows shared dll loading process.

To avoid this restriction, you need httpd.exe that loading msvcr80.dll (from this site), or php5apache2.dll that built using MS VC6 (not yet issue in public).

php5apache2.dll from this site is built from source of php5.1.3RC3-dev. Keep it in mind.
Back to top
Greedy



Joined: 04 May 2006
Posts: 2

PostPosted: Thu 04 May '06 12:36    Post subject: Reply with quote

Steffen, it works!

And with MS VC++80 Runtime we don't need to Microsoft.VC80.CRT.manifest and msvcr80.dll. Only httpd.exe.manifest is needed.


Suggestion: rename php5apache2.dll (for apache2.2) to php5apache22.dll due to incompatibility with each other.
Back to top
tstravers



Joined: 08 Feb 2006
Posts: 3

PostPosted: Thu 04 May '06 13:12    Post subject: Reply with quote

hello,

apache2.2.2 and php5.1.3 are working great for me (didn't have any problems upgrading from php5.1.2 since i'm using httpd and php5apache2 from this site).

my question, well, i'm sure many of you will think i'm such a newbie, which i rather am. once httpd is running, the signature indicates PHP/5.1.3RC3-dev. Greedy noted previously that the .dll was built from the RC3-dev source. would there be an update of the .dll using the stable 5.1.3 version, or is this not necessary? just wondering if its safer to use something not based on a RC.

thanks,
tim
Back to top
Millennium



Joined: 17 Apr 2006
Posts: 179
Location: Leiderdorp, NL, EU

PostPosted: Thu 04 May '06 13:33    Post subject: Reply with quote

You can just use the RC3 version.
Anyways Steffen will compile a release of apachehandler2 based on the final soon
Back to top
Steffen
Moderator


Joined: 15 Oct 2005
Posts: 2587
Location: Hilversum, NL, EU

PostPosted: Thu 04 May '06 14:09    Post subject: Reply with quote

Thanks for the head up guys !

I just made a new php handler available, build against 5.1.3. Also made new instructions, so it is working also with the download from ASF.

Indeed Greedy, the dll is not needed anymore, thanks for the tip !

Steffen
Back to top
Steffen
Moderator


Joined: 15 Oct 2005
Posts: 2587
Location: Hilversum, NL, EU

PostPosted: Thu 04 May '06 18:13    Post subject: Reply with quote

Greedy wrote:
Suggestion: rename php5apache2.dll (for apache2.2) to php5apache22.dll due to incompatibility with each other.


Rather I would follow the official naming convention.

I changed the version string from "Apache 2.0 Handler" to "Apache 2.2 Handler build by Steffen"

Thanks for the suggestion.
Back to top


Post new topic   Reply to topic    Apache Forum Index -> Apache third-party Modules
Page 1 of 1